### Function

# Gio content_type_is_unknown

#### Declaration

    gboolean
    g_content_type_is_unknown (
      const gchar* type
    )

#### Description

Checks if the content type is the generic “unknown” type. On UNIX this is the “application/octet-stream” mimetype, while on win32 it is “*” and on OSX it is a dynamic type or octet-stream.

#### Parameters

`type`

  Type: `const gchar*`

  A content type string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the type is the unknown type.